package com.zhentao.service;

import com.zhentao.vo.RecommendUserVO;
import com.zhentao.dto.UserSearchQuery;

import java.util.List;

public interface RecommendService {
    List<RecommendUserVO> getRecommendedUsers(Integer userId, Integer oppoOnly, Integer limit);
    List<RecommendUserVO> searchByRules(UserSearchQuery query);
    List<com.zhentao.pojo.Province> getAllProvinces();
    List<com.zhentao.pojo.City> getAllCities();
    List<com.zhentao.pojo.City> getCitiesByProvince(Integer provinceId);
    List<com.zhentao.pojo.Area> getAreasByCity(Integer cityId);
}


